Skip to Content
APITokens

Tokens

Get token list

Returns the token info.

The maximum value for limit is 500.

GET https://apilist.tronscanapi.com/api/tokens/overview?start=0&limit=2&verifier=all&order=desc&filter=top&sort=&showAll=1&field=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 20
orderDefault descending. Optional: desc, asc
filterToken filtering. Default: all. Optional: trc10, trc20, trc721, trc1155, all, top
sortSorting field. Default: marketcap. Optional: priceInTrx, gain, volume24hInTrx, holderCount, marketcap, createTime, hot, init, top
fieldField names to return, separated by commas. If blank, all fields are returned
verifierBy default, tokens with type=auto are not returned. Set to all to return all tokens

Get details of all TRC20/TRC721/TRC1155 tokens or specified tokens

Returns the detail information of TRC20/TRC721/TRC1155 tokens.

The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/token_trc20?contract=TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t&showAll=1&start=&limit=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
contractTRC20/TRC721/TRC1155 contract address
showAllReturned data type. 0: only whitelist (default). 1: all. 2: exclude blacklist
startStart number. Default: 0
limitNumber of items per page. Default: 30

Get details of all TRC10 tokens or specified TRC10 tokens

Returns the detail information of TRC10 tokens.

GET https://apilist.tronscanapi.com/api/token?id=1002000&showAll=1&order=0&owner=&start=&limit=&id_gt=&totalAll=&name=&field=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 10
ownerTRC10 issuer address
idTRC10 token ID. If set to 0, the token is TRX
id_gtThe ID of the returned token must be greater than this value
showAllReturned data type. 0: only whitelist (default). 1: all. 2: exclude blacklist
fieldsField names to return, separated by commas. If blank, all fields are returned
totalAllWhen totalAll=1, the totalAll in the response is the total number of all tokens; otherwise it is the filtered count
nameTRC10 token name

Get the holder of a TRC20/TRC721/TRC1155 token

Returns the holder information of TRC20/TRC721/TRC1155 tokens.

The value sum of start and limit must be less than or equal to 10000. The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/token_trc20/holders?start=0&limit=5&contract_address=TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t&holder_address=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
contract_addressTRC20/TRC721/TRC1155 contract address. At least one of contract_address or holder_address is required
holder_addressToken holder address. See contract_address note above
startStart number. Default: 0
limitNumber of items per page. Default: 10

Get the holder of a TRC10 token

Returns the holder information of TRC10 tokens.

The value sum of start and limit must be less than or equal to 10000. The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/tokenholders?sort=-balance&limit=20&start=0&address=TF5Bn4cJCT6GVeUgyCN4rBhDg42KBrpAjg&holder_address=

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 10
sortSort by holder balance. Use - prefix for descending order. Default: -balance
addressTRC10 issuer address (required)
holder_addressTRC10 holder address

Get the distribution of token amounts held by holders

Returns the distribution of token holdings among token holders.

GET https://apilist.tronscanapi.com/api/tokens/position-distribution?tokenId=TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t

Try this endpoint in your browser ↗ 🔗

ParameterDescription
tokenIdToken address or token ID

Get the price information of a specific token

Returns token price information.

Only some tokens have price information.

GET https://apilist.tronscanapi.com/api/token/price?token=trx

Try this endpoint in your browser ↗ 🔗

ParameterDescription
tokenToken abbreviation. Default: trx

Get a list of priced tokens

Returns the list of tokens that have a price.

GET https://apilist.tronscanapi.com/api/getAssetWithPriceList

Try this endpoint in your browser ↗ 🔗

No parameters required.


Get the transfer list of one TRC721 tokenId

Returns the transfer list of a specific TRC721 token.

The value sum of start and limit must be less than or equal to 10000. The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/trc721/transfers?limit=20&start=0&contract=THjYwnDDN6aYxrzKb88CSMTEYjBuHpoYxS&tokenId=965650

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 20
contractTRC721 contract address (required)
tokenIdThe ID of a TRC721 token (required; must be a numeric ID)

Get one TRC10/TRX transfer information

Returns the transfer list of a TRC10 token or TRX.

The value sum of start and limit must be less than or equal to 10000.

GET https://apilist.tronscanapi.com/api/asset/transfer?limit=2&start=0&name=&issueAddress=TF5Bn4cJCT6GVeUgyCN4rBhDg42KBrpAjg&start_timestamp=1680480000000&end_timestamp=1680566400000&address=&relatedAddress=&confirm=&filterTokenValue=0

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 10, max: 50
nameWhen querying TRX transfers, fill in trx
issueAddressTRC10 issuer address
start_timestampStart time
end_timestampEnd time. Must be ≥ start_timestamp
addressQuery address
relatedAddressSame as address parameter
confirm0: solidified transactions. 1: non-solidified transactions. Omit for all
filterTokenValueWhether to hide small amount transactions. 1: hide. 0: do not hide

Get inventory information of a TRC1155

Returns TRC1155 inventory information.

The value sum of start and limit must be less than or equal to 10000. The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/trc1155/inventory?contract=TREYLQ3i56GTQnaQn68woKHtDkVTcFKHjN&tokenId=&limit=2&start=0&sort=-tokenId

Try this endpoint in your browser ↗ 🔗

ParameterDescription
startStart number. Default: 0
limitNumber of items per page. Default: 20
contractTRC1155 contract address (required)
tokenIdThe ID of a token in TRC1155
sort-tokenId: descending by tokenId. tokenId: ascending by tokenId

Get the holding information of a certain tokenId in TRC1155

Returns the holding information of a token in TRC1155.

The value sum of start and limit must be less than or equal to 10000. The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/trc1155/token/inventory?contract=TREYLQ3i56GTQnaQn68woKHtDkVTcFKHjN&limit=2&start=0&tokenId=1

Try this endpoint in your browser ↗ 🔗

ParameterDescription
contractTRC1155 contract address (required)
tokenIdThe ID of a token in TRC1155 (required)
startStart number. Default: 0
limitNumber of items per page. Default: 20

Get the circulation of a TRC20 token

Returns the circulation of a TRC20 token.

GET https://apilist.tronscanapi.com/api/token_trc20/totalSupply?address=TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t

Try this endpoint in your browser ↗ 🔗

ParameterDescription
addressTRC20 contract address

Get inventory information of a TRC721

Returns the inventory information of tokens in TRC721.

The value sum of start and limit must be less than or equal to 10000. The maximum value for limit is 50.

GET https://apilist.tronscanapi.com/api/trc721/token?contract=THjYwnDDN6aYxrzKb88CSMTEYjBuHpoYxS&tokenId=&limit=2&start=0&ownerAddress=&sort=-tokenId

Try this endpoint in your browser ↗ 🔗

ParameterDescription
contractTRC721 contract address (required)
tokenIdThe ID of a token in TRC721
startStart number. Default: 0
limitNumber of items per page. Default: 20
ownerAddressTRC721 token holder address
sorttokenId: ascending order. -tokenId: descending order
Last updated on: